%bcond_without check

%global srcname myrepos-utils

Name:           python-%{srcname}
Version:        0.0.2
Release:    1%{?dist}
Summary:        Additional utilities for myrepos

License:        GPLv2+
URL:            https://git.sr.ht/~michel-slm/myrepos-utils
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Additional utilities for myrepos.}

%description %_description


%package -n %{srcname}
Summary:        %{summary}
Requires:       myrepos

%description -n %{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-r requirements-test.txt}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files myrepos_utils


%check
%if %{with check}
%pytest -v
%endif


%files -n %{srcname} -f %{pyproject_files}
%doc README.md
%license COPYING.md
%{_bindir}/mr-utils


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.2-1
- initial build
